import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HostComponent } from './editor/host/host.component';
import {NodePickerComponent} from './editor/node-picker/node-picker.component';
import {IonicModule} from '@ionic/angular';
import {DatabaseComponent} from './editor/database/database.component';
import {AgGridModule} from 'ag-grid-angular';
import {ColumnsComponent} from './editor/database/columns/columns.component';
import {FormsModule} from '@angular/forms';

@NgModule({
  declarations: [HostComponent, NodePickerComponent, DatabaseComponent, ColumnsComponent],
    imports: [CommonModule, IonicModule, AgGridModule, FormsModule],
  entryComponents: [HostComponent, NodePickerComponent, DatabaseComponent, ColumnsComponent],
  exports: [HostComponent, NodePickerComponent, DatabaseComponent, ColumnsComponent]
})
export class ComponentsModule {}
